کارهایی که بعد از نصب فدورا 20 باید انجام دهیم

با درود

در این آموزش که برای افراد مبتدی تهیه شده شما یاد می گیرید که چگونه مخازن مورد نیاز برای دانلود برنامه ها رو به سیستم عامل اضافه کرده و اقدام به نصب و به روز رسانی آن ها نمایید. تمام این آموزش ها از طریق کپی کرن کدها در ترمینال انجام خواهد شد. برای باز کردن ترمینال برروی Activities کلیک نمایید و در نوار جستجوی بالای صفحه terminal رو پیدا و اجرا نمایید و سپس پله به پله دستوارت زیر رو اجرا نمایید. توجه داشته باشین که حتما باید به اینترنت دسترسی داشته باشید.

fedora

دستور زیر را وارد کنید تا سطح دسترسی شما افزایش پیدا کند. توجه داشته داشته باشید که با این دستور به حالت root می روید و درخیلی از موارد باید قبل از وارد کردن دستورات به حالت روت بروید.

su

حال رمز عبور خود را وارد کنید تا علامت $ به این # تبدیل شود. و سپس دستورات زیر را اجرا نمایید.

قبل از هر کاری ابتدا باید دستور زیر رو برای به روز کردن yum وارد کنید و سپس به سراغ مراحل بعد بروید.

yum  -y update

مرحله اول : افزودن مخازن مورد نیاز برای دانلود برنامه ها و پکیج ها

برای نصب مخازن Rpmfusion , Russianfedora از دستورات زیر استفاده کنید. ( با درگ موس از انتهای سمت راست به انتهای سمت چپ می توانید دستور زیر را کپی نمایید)

su -c 'yum localinstall --nogpgcheck  http://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-$(rpm -E %fedora).noarch.rpm http://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-$(rpm -E %fedora).noarch.rpm'
su -c 'yum install --nogpgcheck http://mirror.yandex.ru/fedora/russianfedora/russianfedora/free/fedora/russianfedora-free-release-stable.noarch.rpm http://mirror.yandex.ru/fedora/russianfedora/russianfedora/nonfree/fedora/russianfedora-nonfree-release-stable.noarch.rpm'

 

نصب مخزن Yum fast downloader :

ابتدا با دستو زیر یک مخزن ایجاد کنید :

sudo gedit /etc/yum.repos.d/fedora-yum-fast-downloader.repo

حال دستورات زیر را توی آن کپی نمایید :

[fedora-yum-fast-downloader]

name=A fast downloader plugin for yum

baseurl=http://repos.fedorapeople.org/repos/hedayat/yum-fast-downloader/fedora-$releasever/noarch/

enabled=1

skip_if_unavailable=1

gpgcheck=1

gpgkey=http://hedayat.fedorapeople.org/gpg/hedayat-rpm-gpg-key

[fedora-yum-fast-downloader-source]

name=A fast downloader plugin for yum – Source

baseurl=http://repos.fedorapeople.org/repos/hedayat/yum-fast-downloader/fedora-$releasever/SRPMS

enabled=0

skip_if_unavailable=1

gpgcheck=1

gpgkey=http://hedayat.fedorapeople.org/gpg/hedayat-rpm-gpg-key

و فایل رو ذخیره نمایید.

نصب مخزن skype :

ابتدا با دستو زیر یک مخزن ایجاد کنید :

sudo gedit /etc/yum.repos.d/skype.repo

حال دستورات زیر را توی آن کپی نمایید :

[skype]

name=Skype Repository

baseurl=http://download.skype.com/linux/repos/fedora/updates/i586/

gpgkey=http://www.skype.com/products/skype/linux/rpm-public-key.asc

و فایل رو ذخیره نمایید.

مرحله دوم : به روز رسانی فدورا با استفاده از دستور زیر :

yum upgrade

مرحله سوم : نصب برنامه ها و پلاگین های مورد نیاز :

نصب پلاگین yum-fast-downloder :

yum install yum-fast-downloader

نصب پلاگین‌های کاربردی yum :

sudo yum install yum-plugin-fastestmirror yum-plugin-local

yum-plugin-remove-with-leaves yum-plugin-show-leaves

نصب کدک‌های صوتی و تصویری :

sudo yum install ffmpeg gstreamer-ffmpeg  gstreamer1-libav gstreamer{1,}-plugins-{good,bad,ugly,bad-free}

نصب نرم افزارهای مدیریت پکیج : این نرم افزار ها  برای دانلود و نصب برنامه ها و پلاگین ها و همچنین آپدیت آن ها به صورت گرافیکی و ساده به کار می روند . یعنی از طریق این برنامه ها می توان بدون نیاز به ترمینال از طریق جستجو ،برنامه مورد نیاز رو نصب و یا آپدیت کرد.

Yumex:

yum install yumex

http://fedorafans.com/wp-content/uploads/2011/08/yumex-update-fedorafans.com_.png

نصب پلیرهای پخش و اجرای انواع فرمت های تصویری و صوتی : از طریق این برنامه ها می توان انواع فایل های تصویری با فرمت های گوناگون رو اجرا و پخش کرد.

vlc:

yum install vlc

Smplayer:

yum install smplayer

Audacious:

yum install audacious

yum install audacious-plugins-freeworld

Audacity:

yum install audacity

نصب افزونه فلش بر روی مرورگرهای اینترنتی : این افزونه برای تماشای فیلم و تبلیغات اینترنتی توسط مرورگر به کار می رود.

Flash player:

sudo yum install flash-plugin

نصب ابزارهای فشرده سازی : این برنامه ها برای اجرا و ایجاد فایل های فشرده به کار می روند.

Unrar and 7zip:

yum install unrar p7zip p7zip-plugins

نصب ابزارهای گرافیکی : نرم افزارهای ساخت انیمیشن و ساخت و ویرایش تصاویر

Gimp:

yum install gimp

Blender:

yum install blender

Inkscape:

yum install inkscape

Dia:

yum install dia

نصب انواع مرورگرهای اینترنت : برای جستجو و گشت و گذار در اینترنت به کار می روند

FireFox:

yum install firefox

Chromium:

yum install chromium

opera:

yum install opera

نصب برنامه شبیه ساز ویندوز در لینوکس : این برنامه برای نصب و اجرای برنامه های ویندوزی در لینوکس به کار می رود و روز به روز برنامه های بیشتری رو پشتیبانی می کند

Wine:

yum install wine

نصب برنامه های اینترنتی : برنامه های مدیریت دانلود و آپلود و برنامه های چت و گفت و گوی آنلاین و …

Flareget: بهترین دانلود منیجر لینوکس با قابلیت پشتیبانی از تمام مرورگرها.برای نصب به سایت زیر بروید و آخرین نسخه رو متناسب با فدورا دانلود و با دابل کلیک نصب نمایید

http://flareget.com/download/

skype:

yum install skype

deluge:

yum install deluge

Pidgin:

yum install pidgin

qbittorrent:

yum install qbittorrent

filezilla:

yum install filezilla

gwibber:

yum install gwibber

ابزارهای مدیریت و سفارشی سازی دسکتاپ :

Gnome Tweak Tool :

yum install gnome-tweak-tool

Compiz :

yum install compiz

نصب جاوا :

OpenJDK Java runtime environment :

su -c 'yum install java-*-openjdk-plugin'

گسترش عملکرد Nautilus (مدیر پرونده فدورا در میزکار گنوم):

yum install nautilus-actions nautilus-image-converter nautilus-open-terminal

نصب برنامه ی مجازی ساز : با استفاده از این برنامه می توانید به صورت مجازی سیستم عامل های دیگه نظیر ویندوز و مک و آندروید رو برروی فدورا اجرا نمایید

VirtualBox:

yum install VirtualBox

برنامه ای کامل برای رایت CD و DVD :

k3b:

yum install k3b

برنامه های کاربردی :

برنامه های زیر رو می تونید از طریق نرم افزاهای مدیریت پکیج نصب کنید :

Shutter ابزاری جهت گرفتن عکس از دسکتاپ

Audacity ابزاری برای ویراش صدا و موزیک

stellarium ابزاری جهت دیدن ستاره ها , کره ها ی اطراف و کهکشان

Weather Indicator برای دیدن وضعیت آب و هوای موقعیت جعرافیایی

System Load Indicator برای مانیتور کردن میزان مصرف سخت افزار های سیستم

برای افزایش دسترسی و عملکرد میزکار گنوم می‌توان افزونه‌های مناسبی را

نصب کرد که در سرعت بخشیدن به کار یا شخصی‌سازی محیط میزکار تأثیر گذار

هستند. فرمان زیر را برای نصب تعدادی از این افزونه‌ها اجرا کنید:

yum install gnome-shell-extension-common gnome-shell-extension-user-theme gnome-shell-extension-systemMonitor gnome-shell-extension-workspace-indicator gnome-shell-extension-remove-accessibility-icon gnome-shell-extension-places-menu gnome-shell-extension-dock gnome-shell-extension-cpu-temprature gnome-shell-extension-alternative-status-menu

پوسته‌های GTK: برای نصب چند پوسته زیبا این فرمان را اجرا کنید:

yum install zukitwo-gtk* zukitwo-metacity* gnome-shell-theme-zukitwo zukini-gtk* zukini-metacity* gnome-shell-theme-zukini zukiwi-gtk* zukiwi-metacity* gnome-shell-theme-zukiwi

پوسته‌های Faenza و Elementary آیکن‌های بسیار زیبایی را به شما ارائه می‌دهند. با اجرای این فرمان آن دو را نصب کنید:

yum install faenza-icon-theme elementary-icon-theme

حال برای دسترسی به این پوسته‌ها می‌بایست برنامه GNOME Tweak Tool نصب شود:

yum install gnome-tweak-tool

۵۴ دیدگاه

  • علی :

    اول اینکه بهترین دانلود منیجر لینوکس الان xdm هست بهتره جایگزین کنید
    xdm.blogsky.com
    بعد یه سوال دیگه اینکه اگه لطف کنید فرق Audacious: و Audacity رو بگین
    ممنون
    به سایتتون هم رای مثبت می‌دم حتما
    با آرزوی موفقیت دوستان خوب فدورایی ヅ

  • Armin :

    لطف کنید و حداقل اشاره ای بکنید که نصف برنامه هایی که بالا دستور نصبشون رو نوشتین آزاد نیستن. طبیعتا کسی که بیاد این دستور هارو کپی کنه هیچ اطلاعای از آزاد بودن و نبودنشون هم نداره.
    Opera-Unrar-Flash player-Skype-Flareget هیچکدوم آزاد/متن باز نیستن. که بعضی هاشون جایگزین های آزاد خوبی مثل aria2+uget دارن که حتی بهشون اشاره ای هم نشده.
    خب شاید مهم نباشه برای همه ولی از اون جایی آزادی نرم افزار یکی از پایه های اصلی فدوراست گفتم شاید برای کسی یک مقدار اهمیت پیدا کنه! 🙂

    • سلام

      بله آرمین جان کاملا درسته. ولی اکثر کاربرهای فدورا مثل شما فکر نمی کن و به خاطر اندیشه های متن باز بودن و آزاد بودن از این سیستم عامل استفاده نمی کنن. دلیل مهاجرت خودم از ویندوز به لینوکس امنیت , ب استفاده بهتر از منابع سیستم , افزایش عمر سخت افزار , قدرت و زیبایی اون بود. و همیشه دوست دارم از بهترین نرم افزارهای فدورا استفاده بکنم و کار به آزادی نرم افزار و غیرآزاد بودنشون ندارم.
      این آموزش هم برای همه ی استفاده کنندگان هست و اجباری به نصب این نرم افزارها نکرده.
      برای مثال من opera رو به همه مرورگرها ترجیح میدم و فقط از اون استفاده می کنم. همچین برای تماشای ویدیوها در مرورگر افزونه ی flash player لازم هست.
      موفق باشید.

      • Armin :

        حرف شما صحیح.
        من فقط گفتم که بد نبود اشاره ای به آزاد نبودن برخی از اونها و جایگزین های آزادشون هم می شد.
        وگرنه طبیعی هست که زندگی بدون فرمت rar و فلش و امثال اون ها بسیار مشکله :دی
        😉

  • majid :

    اپرا رو نتونستم نصب کنم می خواستم بدونم نیاز به مخازن خاصی داره
    و چرا مخازن کرومیوم پیغام خطا میده
    http://repos.fedorapeople.org/repos/spot/chromium-stable/fedora-20/x86_64/repodata/repomd.xml: [Errno 14] HTTP Error 404 – Not Found
    Trying other mirror.
    Loading mirror speeds from cached hostfile
    * fedora: mirror.dhakacom.com
    * rpmfusion-free: rpmfusion.famillecollet.com
    * rpmfusion-free-updates: rpmfusion.famillecollet.com
    * rpmfusion-nonfree: rpmfusion.famillecollet.com
    * rpmfusion-nonfree-updates: rpmfusion.famillecollet.com
    * updates: mirror.dhakacom.com
    No package opera available.
    Error: Nothing to do

    ممنون

    • داریوش :

      سلام من خودم همه رو تست کردم و همه برنامه ها بدون مشکل نصب شدند. اگر شما تمامی مخازن رو به درستی نصب کرده باشید نباید مشکلی پیش بیاد. توصیه می کنم یکبار دیگه مخازن رو نصب بکنید. برای استفاده از مخزن کرمیوم باید از پ ر و س ک ی یا هر قندشکن دیگه استفاده کنید.

      برای نصب opera یک راه دیگه هم وجود داره اینکه وارد سایت زیر بشی و نسخه ی متناسب با فدورا (rpm ( رو دانلود بکنی و با دابل کلیک نصب بکنی .

      http://www.opera.com/computer/linux

      به هرحال اگه نتونستی مشکل رو برطرف بکنی همینجا مطرح بفرمایید تا حلش بکنیم.
      موفق باشید.

  • ALI.PIKER :

    سلام بچه ها (ورود دوباره ی خودمو به جمعیت فدوراییان تبریک میگم ؛) )
    من میخواستم روی فدورام کریو نصب کنم بعد از کلی گشتن اینو پیدا کردم :
    http://forums.kerio.com/t/23438/kerio-vpn-client-still-not-compatible-with-64bit-ubuntu-kerio-control-vpnclient-i386-depends-
    AshkanV یه فایلی رو گذاشتن اینج که گفتن روی فدورا تست شده و کار میکنه ! من اومدم اینو برزم ولی یه سری برنامش تو مخزنا نبود مثل : libc >= 2.8 و kdialog و zetiny و نشد که نصب بشه میتونید یه راه حلی بدید من اینو نصب کنم ؟ بازم ممنون اگه جای بدی سولمو پرسیدم ببخشید‌! اینم آدرس فایل ایشون :
    https://www.dropbox.com/s/vtoe0ye5t4yl92c/KerioVPNClient-Linux-EN.tar.bz2
    راسی من از فدورا ۲۰ توی میز LXDE استفاده میکنم !

    • سلام تا اونجا که من می دونم کریو فقط برای اوبنتو اراپه شده و اونم نسخه ۳۲ بیتیش هست که برای اجرا کردنش توی سیستم ۶۴ بیتی باید کمی تغییر درش ایجاد بکنی تا بدون مشکل نصب بشه بعد از نصب باید با استفاده از دستورات زیر فعال و غیرفعال و ری استارتش بکنی .

      sudo /etc/init.d/kerio-kvc start
      sudo /etc/init.d/kerio-kvc stop
      sudo /etc/init.d/kerio-kvc reload

      من روی اوبنتو نصبش کرده بودم و بدون مشکل ازش استفاده می کردم اما برای نصب در توزیع های دیگه مثل فدورا باید از طریق سورس کد نصب و اجراش بکنی. این لینکی که گذاشتین سورس برنامه کریو هست :

      https://www.dropbox.com/s/vtoe0ye5t4yl92c/KerioVPNClient-Linux-EN.tar.bz2

      برای نصبش توی گوگل سرچ بزنید : نصب برنامه از طریق سورس کد و مطابق با آموزش های اراپه شده اقدام به نصب برنامه بکنید.
      موفق باشید.

  • دانیال :

    سلام، ممنون بابت زحمتی که برای تهیه ی این اموزش کشیدید
    سرعت دانلود مناسب برای دریافت مخازن و برنامه هایی که اشاره کردید، چقدر باشه مناسبه؟
    سرعت دریافت من بین ۲۵۰ تا … هستش اما یکی از دوستام فقط تا۶۰ سرعت داره.
    بعد برنامه های فدورا رو حتما باید از ترمینال استفاده کرد؟
    اگه برنامه ای رو من گرفتم می تونم به دوستم هم بدم؟
    اگر میشه، روش نصب رو لطفا بگید!

    • سلام با سرعت ۱۲ کیلو بایت هم میشه مخازن و برنامه هارو نصب و آپدیت کرد.
      نه میشه از طریق برنامه های مدیریت پکیج نصب و آپدیت کرد منتها باید به اینترنت متصل باشید.
      یه روش دیگه هم برای نصب برنامه ها هست که برنامه ها رو با فرمت rpm دانلود و همانند ویندوز با دابل کلیک نصب می کنید.
      روش های بک آپ گیری رو هم در آوزشی جدا حتما براتون توضیح می دم.
      موفق باشید

  • saeid :

    استاد من فکر کنم تو نصب مخازن به مشکل برخوردم.
    ممنون میشم راهنماییم کنید؛
    http://8pic.ir/images/72957430009744714388.png

  • مطالب به طور کل ویرایش کردم و مشکلاتش برطرف شد می تونید استفاده بکنید.

  • mortimer :

    سلام من ی دانشجوی ترم یک کامپیوترم استادمون گفته بریدبالینوکس فدورا۲۰کارکنید فایلای سیستمیشو پیداکنید،پوشه هاوپرونده هارو مدیریت کنید،ی سخت افزارمثل کارت صداروش نصب کنیدو…
    بدون اینکه هیچ اطلاعی ازفدورابهمون بده.حالامن تاشنبه بایداین کاراروانجام بدم .خواهش میکنم کمکم کنید.

  • علی :

    من از وقتی دستور yum update رو زدم دیگه سیستم ام بالا نمی اد قبل از صفحه login می مونه .
    چی کار کنم ؟

    • احتمالا درایور گرافیک شما نصب بوده و هنگام آپدیت kernel نیز آپدیت شده و درایور با kernel جدید همخوانی نداره.
      سعی کنید با kernel قدیمی تر boot بشین یا اینکه درایور را آپدیت و یا اون رو پاک کنین

  • حمید رضا :

    سلام
    من تمام کدک ها رو نصب کردم ولی فیلم که باز میکنه تصویرش رو نمییاره و میگه
    H.264 decoder
    The following plugin is required
    ولی من هرچی کدک توی اینترنت \یدا کردم رو نصب کردم ولی درست نشد
    ممنون میشم کمکم کنید.

  • aliisal :

    سلام
    بعد از ابدیت کردن yum وقتی دستور نصب نرم افزاری را تایب می کنم بیام زیر رو می ده
    [[email protected] aloo]# yum install vlc
    Loaded plugins: langpacks, presto, refresh-packagekit

    File contains no section headers.
    file: file://///etc/yum.repos.d/fedora-yum-fast-downloader.repo, line: 3
    ‘name=A fast downloader plugin for yum\n’
    [[email protected] aloo]#

  • حامد :

    سلام بعد از نصب مخزن اسکایپ من هرچی میخوام نصب کنم پیغام زیر رو بهم میده:

    [[email protected] hamed]# sudo yum install ffmpeg gstreamer-ffmpeg gstreamer1-libav gstreamer{1,}-plugins-{good,bad,ugly,bad-free}
    Loaded plugins: langpacks, refresh-packagekit

    File contains parsing errors: file://///etc/yum.repos.d/skype.repo
    [line 4]: name=Skype Repository

    [line 5]: baseurl=http://download.skype.com/linux/repos/fedora/updates/i586/

    [line 6]: gpgkey=http://www.skype.com/products/skype/linux/rpm-public-key.asc

    [[email protected] hamed]# sudo gedit /etc/yum.repos.d/skype.repo

  • محسن :

    متاسفانه من تازه کار هستم و با کلی خوشحالی این دستورات رو کبی کردم ولی انگار اشتباهن حالا من که چیزی از لینوکی نمیدونم چجوری درستش کنم
    لطفا قبل از اینکه چیزی رو اینجا بزارین خودتون تستش کنین یا حداقل جواب کسی که سوال میبرسه رو بدین
    با تشکر

    • درود بر شما
      این دستورات و کلا برنامه هایی که توی این وب سایت هستن ابتدا آزمایش میشن و بعد اینجا قرار میگیرن.
      اگر به مشکلی بر خوردید میتونید کامل مشکلتون رو مطرح کنید تا بشه راهنمایی کرد.

  • abbas_2010 :

    سلام دوستان این ینی چی مشکل کجاست؟؟؟!
    حسین جان خسته نباشی همشهری!

  • abbas_2010 :

    ببخشید ولی کلا این \یغام میاد برا نصب نرم افزارها

  • abbas_2010 :

    اول اجازه روت میگیرم بعد دستور
    yum -y update
    رو میزنم اینو میگه
    اون فایلها رو هم که گفته بود ایجاد و سیو کنید کردم اما دقت نکردم قبلش این ارور رو میده یا نه

  • abbas_2010 :

    خب چجور؟کجاس؟

    • توی کامنت های قبلی که مسیرش رو گفتم!
      توی این مسیر هست :
      etc/yum.repos.d/fedora-yum-fast-downloader.repo/

      حالا برای پاک کردنش با کاربرroot این دستور رو بزن :
      rm -rf /etc/yum.repos.d/fedora-yum-fast-downloader.repo

  • abbas_2010 :

    عزیز حل شد زدم آ\دیت تا ببینم چی میشه
    راستی من حرف p ندارم رو صفحه کلید فارسی

  • abbas_2010 :

    ممنون حسین جان

  • رامین :

    سلام خسته نباشید من تازه کارم و بعد از نصب اسکایب دیگه به کل فدورا بوت نمیشه رو همون اولش هنگ میکنه به نظرتون چیکار باید کرد؟

  • حامد :

    سلام.موقع نصب فدورا ۲۰ این پیغام خطا میاد
    http://s6.uplod.ir/i/00408/vicx2mn442tm.jpg
    جریان چیه؟باید چه کار کنم؟!!

  • azar :

    سلام
    از این yum -y update دستور به بعد ارور زیر واسم میاد چیکار باید کنم؟
    Loaded plugins: langpacks, refresh-packagekit

    File contains parsing errors: file:///etc/yum.repos.d/skype.repo
    [line 5]: name=Skype Repository

    [line 7]: baseurl=http://download.skype.com/linux/repos/fedora/updates/i586/

    [line 9]: gpgkey=http://www.skype.com/products/skype/linux/rpm-public-key.asc

  • حامد :

    با سلام
    در هنگام نصب گوگل کروم در ترمینال پیغام زیر رو میده و خارج میشه .لطفا راهنمایی بفرمایید.
    Total size: 57 M
    Installed size: 184 M
    Is this ok [y/d/N]: y
    Downloading packages:
    warning: /var/cache/yum/x86_64/20/fedora-chromium-stable/packages/chromium-v8-3.25.28.18-1.fc20.x86_64.rpm: Header V4 DSA/SHA1 Signature, key ID 93054260: NOKEY
    Retrieving key from file:///etc/pki/rpm-gpg/spot.gpg

    GPG key retrieval failed: [Errno 14] curl#37 – “Couldn’t open file /etc/pki/rpm-gpg/spot.gpg”

  • vapid :

    سلام نیازمند شدید برای نصب xampp هستم راهنمایی لطفا راهنمایی بفرمایید.
    این کار هارا هم انجام داده ام
    yum install xampp
    و
    http://propc.ir/category/learning/linux/postid=257/how-to-install-xampp-in-linux
    و
    http://linuxg.net/how-to-install-xampp-1-8-3-on-the-most-popular-linux-systems/
    .

  • وحیده :

    سلام
    من تازه فدورا نصب کردم بعد از yum -y update خواستم مرحله ی اول افزدون مخازن رو انجام بدم که به مشکل برخوردم. اگه امکانش هست راهنمایی کنید
    http://upload7.ir/imgs/2014-09/52985134201066494053.jpg

  • مهسا :

    سلام دوستان عذرخواهی میکنم، تازه وارد هستم
    من نمیدونم چرا اما اجازه ندارم میانبری داخل دسکتاپم بزارم و هیچ فولدری در صفحه اصلی نمیشه کپی کرد یا گذاشت
    چطوری اینکار رو میتونم انجام بدم؟
    ممنون میشم راهنمایی کنید
    تشکر

  • Programmer :

    زمانی که من yum install skype رو میزنم یکسری package دیگه رو میخواد :
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libasound.so.2(ALSA_0.9)
    Error: Package: mesa-libGL-10.4.3-1.20150124.fc21.i686 (updates)
    Requires: libXext.so.6
    Error: Package: 1:qt-4.8.6-18.fc21.i686 (updates)
    Requires: libgthread-2.0.so.0
    Error: Package: 1:openssl-libs-1.0.1k-1.fc21.i686 (updates)
    Requires: libk5crypto.so.3
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libpng16.so.16
    Error: Package: mesa-libGL-10.4.3-1.20150124.fc21.i686 (updates)
    Requires: libselinux.so.1
    Error: Package: 1:openssl-libs-1.0.1k-1.fc21.i686 (updates)
    Requires: libgssapi_krb5.so.2
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libglib-2.0.so.0
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libfontconfig.so.1
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libXrandr.so.2
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libSM.so.6
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libXext.so.6
    Error: Package: sqlite-3.8.8-2.fc21.i686 (updates)
    Requires: libtinfo.so.5
    Error: Package: 1:openssl-libs-1.0.1k-1.fc21.i686 (updates)
    Requires: libk5crypto.so.3(k5crypto_3_MIT)
    Error: Package: 1:qt-4.8.6-18.fc21.i686 (updates)
    Requires: libz.so.1
    Error: Package: sqlite-3.8.8-2.fc21.i686 (updates)
    Requires: libncurses.so.5
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libXfixes.so.3
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libXinerama.so.1
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libasound.so.2(ALSA_0.9.0rc4)
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libXrender.so.1
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libmng.so.2
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libz.so.1
    Error: Package: mesa-libGL-10.4.3-1.20150124.fc21.i686 (updates)
    Requires: libX11.so.6
    Error: Package: mesa-libGL-10.4.3-1.20150124.fc21.i686 (updates)
    Requires: libX11-xcb.so.1
    Error: Package: skype-4.3.0.37-2.R.i586 (russianfedora-nonfree)
    Requires: libX11.so.6
    Error: Package: sqlite-3.8.8-2.fc21.i686 (updates)
    Requires: libreadline.so.6
    Error: Package: skype-4.3.0.37-2.R.i586 (russianfedora-nonfree)
    Requires: libQtWebKit.so.4
    Error: Package: mesa-libGL-10.4.3-1.20150124.fc21.i686 (updates)
    Requires: libXxf86vm.so.1
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libgobject-2.0.so.0
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libasound.so.2
    Error: Package: mesa-libglapi-10.4.3-1.20150124.fc21.i686 (updates)
    Requires: libselinux.so.1
    Error: Package: skype-4.3.0.37-2.R.i586 (russianfedora-nonfree)
    Requires: libXss.so.1
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libtiff.so.5(LIBTIFF_4.0)
    Error: Package: skype-4.3.0.37-2.R.i586 (russianfedora-nonfree)
    Requires: /usr/lib/libpulse.so.0
    Error: Package: 1:openssl-libs-1.0.1k-1.fc21.i686 (updates)
    Requires: libz.so.1
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libXi.so.6
    Error: Package: freetype-2.5.3-15.fc21.i686 (updates)
    Requires: libpng16.so.16(PNG16_0)
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libjpeg.so.62
    Error: Package: libxcb-1.11-3.fc21.i686 (updates)
    Requires: libXau.so.6
    Error: Package: freetype-2.5.3-15.fc21.i686 (updates)
    Requires: libz.so.1
    Error: Package: 1:openssl-libs-1.0.1k-1.fc21.i686 (updates)
    Requires: libkrb5.so.3
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libgthread-2.0.so.0
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libpng16.so.16(PNG16_0)
    Error: Package: freetype-2.5.3-15.fc21.i686 (updates)
    Requires: libpng16.so.16
    Error: Package: mesa-libGL-10.4.3-1.20150124.fc21.i686 (updates)
    Requires: libXdamage.so.1
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libtiff.so.5
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libX11.so.6
    Error: Package: 1:openssl-libs-1.0.1k-1.fc21.i686 (updates)
    Requires: libkrb5.so.3(krb5_3_MIT)
    Error: Package: skype-4.3.0.37-2.R.i586 (russianfedora-nonfree)
    Requires: libXv.so.1
    Error: Package: 1:qt-4.8.6-18.fc21.i686 (updates)
    Requires: libglib-2.0.so.0
    Error: Package: mesa-libGL-10.4.3-1.20150124.fc21.i686 (updates)
    Requires: libXfixes.so.3
    Error: Package: libdrm-2.4.59-4.fc21.i686 (updates)
    Requires: libpciaccess.so.0
    Error: Package: mesa-libGL-10.4.3-1.20150124.fc21.i686 (updates)
    Requires: libexpat.so.1
    Error: Package: freetype-2.5.3-15.fc21.i686 (updates)
    Requires: libbz2.so.1
    Error: Package: skype-4.3.0.37-2.R.i586 (russianfedora-nonfree)
    Requires: libXext.so.6
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libXcursor.so.1
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libjpeg.so.62(LIBJPEG_6.2)
    Error: Package: 1:qt-x11-4.8.6-18.fc21.i686 (updates)
    Requires: libICE.so.6
    You could try using –skip-broken to work around the problem
    You could try running: rpm -Va –nofiles –nodigest

    خب حالا یاید چی کار کنم !؟‌

دیدگاه شما چیست؟